#pragma once

#ifdef __cplusplus
#include <cstdint>
#else
#include <stdint.h>
#endif

typedef struct {
  double x, y;
} point_t;

typedef bool (*start_t)();
typedef void (*destroy_t)();
typedef void (*update_callback_t)(unsigned int chartIndex, const char* seriesName, const point_t* points);

typedef struct {
  uint32_t version;
  start_t init_method;
  destroy_t destroy_method;
  update_callback_t update_callback;
} plugin_t;